iCyte external API
iCyte publishes a RESTful read-only API, accessible at www.icyte.com/api/. At the time of writing, we make three resource categories available:
http://www.icyte.com/api/cytes http://www.icyte.com/api/projects http://www.icyte.com/api/users
This document (www.icyte.com/api/docs/) describes how to connect to the iCyte web-server and make requests against those categories. Details of the actions available, and the format of returned resource are outlined within each resource’s specific documentation.
User Authentication
Although some actions do not require a logged in user, as highlighted in the individual resource documents, most do. We support HTTP BASIC authentication. An example connection using the command-line utility curl, returning a cyte list in XML format:
$ curl -u user@example.com:password http://www.icyte.com/api/cytes
<?xml version="1.0" encoding="UTF-8"?>
<cytes type="array">
...
</cyte>
File formats
At the time of writing, we support two data exchange formats: XML and JSON, returning XML by default. To specify a specific format, either append the format extension to the url, for example.
$ curl -u user@example.com:password http://www.icyte.com/api/cytes.json
Or specify it using the ‘Accept’ header, for example:
$ curl -H 'Accept:application/json' -u user@example.com:password http://www.icyte.com/api/cytes
Examples
We provide usage examples for both Rails and PHP in separate pages. For ASP.net, we suggest api users examine the following two cytes: